Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.examples.dancing
Interface DancingLinks.SolutionAcceptor<ColumnName>

Enclosing class:
  DancingLinks<ColumnName>

    public static interface DancingLinks.SolutionAcceptor<ColumnName>

Applications should implement this to receive the solutions to their problems.

Method Summary
`void` | `solution(List<List<ColumnName>> value)` A callback to return a solution to the application.

Method Detail

### solution

    void solution(List<List<ColumnName>> value)

  A callback to return a solution to the application.

  Parameters:
    `value` - a List of List of ColumnNames that were satisfied by each selected row

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation